MNDeployment # 2564 (Deprecated): ORNL DAAC

Clear and re-harvest Daac Content

2013-07-18 14:19 - Skye Roseboom

Status: Closed Start date: 2013-07-18

Priority: Normal Due date:  

Assignee: Chris Jones % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: Operational   

Story Points:    

Description

While browsing the ornl daac MN and comparing to CN content during investigation of ORNL Daac object counts, I noticed that the

content on the MN appears to have changed/been modified in place.   As this is out of bounds of CN synchronization - which

assumes immutable content - these changes are not present on the CN.   For example:

https://cn-orc-1.dataone.org/cn/v1/meta/scimeta_846.xml vs http://mercury-ops2.ornl.gov/ornldaac/mn/v1/meta/scimeta_846.xml

https://cn-orc-1.dataone.org/cn/v1/meta/scimeta_66.xml vs http://mercury-ops2.ornl.gov/ornldaac/mn/v1/meta/scimeta_66.xml

the size, checksum, upload dates are different.

It may be necessary to delete the ORNL Daac content from the CN to allow re-harvesting of the current content.

Assigning to Chris for approval or rejection of this task.   I believe we can use the script Robert developed to clear this content if

approved.

History

#1 - 2013-07-22 20:30 - Chris Jones

- File ornldaac-invalid-replicas.csv added

- Status changed from New to In Progress

- File ornldaac-invalid-replicas.csv added

After auditing the checksums on the CN compared to those on the DAAC MN, there are 978 invalid replicas on the MN (in that they are using the

same identifier for a different byte stream).  I'm attaching the list here as a CSV file.

#2 - 2013-10-14 18:40 - Chris Jones

- Status changed from In Progress to Closed

- translation missing: en.field_remaining_hours set to 0.0

Robert performed this. Closing.

Files

ornldaac-invalid-replicas.csv 78.4 KB 2013-07-22 Chris Jones
